#pragma once

namespace game {

class Scene
{
public:

    virtual ~Scene() = default;

    virtual void Show() {}
    virtual void Hide() {}

    virtual void Update() = 0;
    virtual void Render() {}
};

}
